// 自动生成模板UserAuthe
package model

import (
	"time"
)

// 如果含有time.Time 请自行import time包
type SysUserAuthe struct {
	Id               int       `json:"id" form:"id" gorm:"column:id;comment:;type:int;size:10;"` // 主键ID
	UserId           int       `json:"userId" form:"userId" gorm:"column:user_id;comment:;type:int;size:10;"`
	Identity         int       `json:"identity" form:"identity" gorm:"column:identity;comment:身份 1医生 2学生;type:int;size:10;"`                       //身份 1医生 2学生
	Name             string    `json:"name" form:"name" gorm:"column:name;comment:姓名;type:varchar(255);"`                                          //姓名
	Phone            string    `json:"phone" form:"phone" gorm:"column:phone;comment:联系方式;type:varchar(255);"`                                     //联系方式
	WorkingYears     string    `json:"workingYears" form:"workingYears" gorm:"column:working_years;comment:工作年限;type:varchar(255);"`               //工作年限
	WorkingPlace     string    `json:"workingPlace" form:"workingPlace" gorm:"column:working_place;comment:医院（学校）名称;type:varchar(255);"`           //医院（学校）名称
	Position         string    `json:"position" form:"position" gorm:"column:position;comment:职位（专业）;type:varchar(255);"`                          //职位（专业）
	HospitalProvince int       `json:"hospitalProvince" form:"hospitalProvince" gorm:"column:hospital_province;comment:医院所在省;type:int;size:10;"`   //医院所在省
	HospitalCity     int       `json:"hospitalCity" form:"hospitalCity" gorm:"column:hospital_city;comment:医院所在市;type:int;size:10;"`               //医院所在市
	HospitalCounty   int       `json:"hospitalCounty" form:"hospitalCounty" gorm:"column:hospital_county;comment:医院所在区县;type:int;size:10;"`        //医院所在区县
	HospitalAddress  string    `json:"hospitalAddress" form:"hospitalAddress" gorm:"column:hospital_address;comment:医院地址;type:varchar(255);"`      //医院地址
	HospitalFaceImg  string    `json:"hospitalFaceImg" form:"hospitalFaceImg" gorm:"column:hospital_face_img;comment:医院照片;type:varchar(255);"`     //门店照片
	QualificationImg string    `json:"qualificationImg" form:"qualificationImg" gorm:"column:qualification_img;comment:身份证明照片;type:varchar(255);"` //兽医资格证书(学生证照片)
	CreateTime       time.Time `json:"createTime" form:"createTime" gorm:"column:create_time;comment:;type:timestamp;"`
	UpdateTime       time.Time `json:"updateTime" form:"updateTime" gorm:"column:update_time;comment:;type:timestamp;"`
	Delflag          int       `json:"delflag" form:"delflag" gorm:"column:delflag;comment:;type:int;size:10;"`
}
