package models

type CaseHistoryAnalysis struct {
	Count int     `json:"count" description:"病历数量"`
	Money float64 `json:"money" description:"病历收益"`
}

type Kind struct {
	Count       int          `json:"count" description:"数量"`
	Proportion  string      `json:"proportion" description:"占比"`
	KindDetails []KindDetail `json:"kind_details" description:"品种分布"`
	AgeDetails  []KindDetail `json:"age_details" description:"年龄分布"`
}

type KindDetail struct {
	Type string `json:"type" description:"品种名称 或 年龄分类"`
	Cost int    `json:"cost" description:"宠物数量"`
	A    string `json:"a" description:"写死为1 前端需要"`
}

type ClinicTop struct {
	Name   string  `json:"name" description:"病症榜: 病症名称   手机榜: 手术名称"`
	Num    int     `json:"num" description:"数量"`
	Amount float64 `json:"amount" description:"金额"`
}
