package utils

type RequestOrganizaReq struct {
	Name      string `json:"name"`
	LegalName string `json:"legalName"`
	LegalIdno string `json:"legalIdno"`
}

type CreateAccountPersonReq struct {
	ThirdId string `json:"thirdId"`
	Name    string `json:"name"`
	IdNo    string `json:"idNo"`
	IdType  int    `json:"idType"`
	Mobile  string `json:"mobile"`
	Email   string `json:"email"`
}

type CreateAccountPersonReply struct {
	ErrCode int                     `json:"errCode"`
	Msg     string                  `json:"msg"`
	Data    CreateAccountPersonData `json:"data"`
}

type CreateAccountPersonData struct {
	AccountId string `json:"accountId"`
}
