package config

type Clickhouse struct {
	Host     string `mapstructure:"host" json:"host" yaml:"host"`             // 服务器地址:端口
	Debug    bool   `mapstructure:"debug" json:"debug" yaml:"debug"`          // 高级配置
	Database string `mapstructure:"database" json:"database" yaml:"database"` // 数据库名
	Username string `mapstructure:"username" json:"username" yaml:"username"` // 数据库用户名
	Password string `mapstructure:"password" json:"password" yaml:"password"`
}
