// 自动生成模板DataMedComment
package model

import (
	"time"
)

type PointsLog struct {
	Id           int       `json:"id" form:"id" gorm:"column:id;comment:;type:int;size:10;"` // 主键ID
	HospitalCode string    `json:"hospitalCode" form:"hospitalCode" gorm:"column:hospital_code;comment:;type:varchar(255);"`
	UserId       int       `json:"userId" form:"userId" gorm:"column:user_id;comment:;type:int;size:10;"`
	ChangeType   int       `json:"changeType" form:"changeType" gorm:"column:change_type;comment:;type:int;size:10;"`
	ChangeTime   time.Time `json:"changeTime" form:"changeTime" gorm:"column:change_time;comment:;type:DATETIME;"`
	ChangeNum    int       `json:"changeNum" form:"changeNum" gorm:"column:change_num;comment:;type:int;size:10;"`
	NowPointsNum int       `json:"nowPointsNum" form:"nowPointsNum" gorm:"column:now_points_num;comment:;type:int;size:10;"`
	Remark       string    `json:"remark" form:"remark" gorm:"column:remark;comment:;type:varchar(255);"`
	OtherNo      string    `json:"otherNo" form:"otherNo" gorm:"column:other_no;comment:;type:varchar(255);"`
	Source       int       `json:"source" form:"source" gorm:"column:source;comment:;type:int;size:10;"`
	CreateTime   time.Time `json:"createTime" form:"createTime" gorm:"column:create_time;comment:;type:timestamp;"`
	UpdateTime   time.Time `json:"updateTime" form:"updateTime" gorm:"column:update_time;comment:;type:timestamp;"`
	Delflag      int       `json:"delflag" form:"delflag" gorm:"column:delflag;comment:;type:int;size:10;"`
}

type PointsOrder struct {
	Id         int       `json:"id" form:"id" gorm:"column:id;comment:;type:int;size:10;"` // 主键ID
	UserId     int       `json:"userId" form:"userId" gorm:"column:user_id;comment:;type:int;size:10;"`
	PayStatus  int       `json:"payStatus" form:"payStatus" gorm:"column:pay_status;comment:;type:int;size:10;"`
	PayType    int       `json:"payType" form:"payType" gorm:"column:pay_type;comment:;type:int;size:10;"`
	PointsNo   string    `json:"pointsNo" form:"pointsNo" gorm:"column:points_no;comment:;type:varchar(255);"`
	PointsNum  int       `json:"pointsNum" form:"pointsNum" gorm:"column:points_num;comment:;type:int;size:10;"`
	PayTime    time.Time `json:"payTime" form:"payTime" gorm:"column:pay_time;comment:;type:DATETIME;"`
	OtherNo    string    `json:"otherNo" form:"otherNo" gorm:"column:other_no;comment:;type:varchar(255);"`
	Remark     string    `json:"remark" form:"remark" gorm:"column:remark;comment:;type:varchar(255);"`
	CreateTime time.Time `json:"createTime" form:"createTime" gorm:"column:create_time;comment:;type:timestamp;"`
	UpdateTime time.Time `json:"updateTime" form:"updateTime" gorm:"column:update_time;comment:;type:timestamp;"`
	Delflag    int       `json:"delflag" form:"delflag" gorm:"column:delflag;comment:;type:int;size:10;"`
}
