package request

import (
	"github.com/dgrijalva/jwt-go"
	uuid "github.com/satori/go.uuid"
)

// Custom claims structure
type CustomClaims struct {
	UUID        uuid.UUID
	ID          uint
	AuthorityId string
	Mobile      string
	Openid      string
	BufferTime  int64
	jwt.StandardClaims
}
