package request

type GetReadCatalog struct {
	Id int `json:"id"`
}

type GetReadContent struct {
	Id int `json:"id"`
}

type CreateReadCatalog struct {
	Id          int    `json:"id"`
	ReadBooksId int    `json:"read_books_id"`
	ParentId    int    `json:"parent_id"`
	Name        string `json:"name"`
	SortOrder   int    `json:"sort_order"`
}

type GetReadContentReq struct {
	PageInfo
	ReadBooksId   int    `json:"read_books_id"`
	ReadCatalogId int    `json:"read_catalog_id"`
	Name          string `json:"name"`
}
type GetReadHistoryReq struct {
	UserId     int `json:"user_id"`
	ReadBookId int `json:"read_book_id"`
}

type CreateReadContent struct {
	Id            int    `json:"id"`
	ReadCatalogId int    `json:"read_catalog_id"`
	Content       string `json:"content"`
	Keywords      string `json:"keywords"`
}

type CreateReadHistory struct {
	Id            int    `json:"id"`
	UserId        int    `json:"user_id"`
	ReadBookId    int    `json:"read_book_id"`
	ReadHistoryId string `json:"read_history_id"`
	Current       string `json:"current"`
}
