package response

import (
	"gin-vue-admin/model"
)

type SysUserResponse struct {
	User   model.SysUser `json:"user"`
	Token  string        `json:"token"`
	QrData QrData        `json:"qrData"`
}

type LoginResponse struct {
	User      model.SysUser `json:"user"`
	Token     string        `json:"token"`
	ExpiresAt int64         `json:"expiresAt"`
}

type QrData struct {
	QrType  string `json:"qrType"`
	IsSet   int    `json:"isSet"`
	OtherNo string `json:"otherNo"`
}
