// 自动生成模板DataMedComment
package model

import (
	"time"
)

// 如果含有time.Time 请自行import time包
type VipUser struct {
	Id           int       `json:"id" form:"id" gorm:"column:id;comment:;type:int;size:10;"` // 主键ID
	UserId       int       `json:"userId" form:"userId" gorm:"column:user_id;comment:;type:int;size:10;"`
	MaturityTime time.Time `json:"maturityTime" form:"maturityTime" gorm:"column:maturity_time;comment:;type:datetime;"`
	VipLevel     int       `json:"vipLevel" form:"vipLevel" gorm:"column:vip_level;comment:;type:int;size:10;"`
	CreateTime   time.Time `json:"createTime" form:"createTime" gorm:"column:create_time;comment:;type:timestamp;"`
	UpdateTime   time.Time `json:"updateTime" form:"updateTime" gorm:"column:update_time;comment:;type:timestamp;"`
	Delflag      int       `json:"delflag" form:"delflag" gorm:"column:delflag;comment:;type:int;size:10;"`
}

type VipOrder struct {
	Id            int       `json:"id" form:"id" gorm:"column:id;comment:;type:int;size:10;"` // 主键ID
	UserId        int       `json:"userId" form:"userId" gorm:"column:user_id;comment:;type:int;size:10;"`
	OrderNo       string    `json:"orderNo" form:"orderNo" gorm:"column:order_no;comment:;type:varchar(255);"`
	OutTradeNo    string    `json:"outTradeNo" form:"outTradeNo" gorm:"column:out_trade_no;comment:;type:varchar(255);"`
	TransactionId string    `json:"transactionId" form:"transactionId" gorm:"column:transaction_id;comment:;type:varchar(255);"`
	VipConfId     int       `json:"vipConfId" form:"vipConfId" gorm:"column:vip_conf_id;comment:;type:int;size:10;"`
	VipDay        int       `json:"vipDay" form:"vipDay" gorm:"column:vip_day;comment:;type:int;size:10;"`
	VipLevel      int       `json:"vipLevel" form:"vipLevel" gorm:"column:vip_level;comment:;type:int;size:10;"`
	VipMoney      int       `json:"vipMoney" form:"vipMoney" gorm:"column:vip_money;comment:;type:int;size:10;"`
	PayMoney      int       `json:"payMoney" form:"payMoney" gorm:"column:pay_money;comment:;type:int;size:10;"`
	Status        int       `json:"status" form:"status" gorm:"column:status;comment:;type:int;size:10;"`
	IsPoints      int       `json:"isPoints" form:"isPoints" gorm:"column:is_points;comment:;type:int;size:10;"`
	PointsNum     int       `json:"pointsNum" form:"pointsNum" gorm:"column:points_num;comment:;type:int;size:10;"`
	Remark        string    `json:"remark" form:"remark" gorm:"column:remark;comment:;type:varchar(255);"`
	PayTime       time.Time `json:"payTime" form:"payTime" gorm:"column:pay_time;comment:;type:DATETIME;"`
	CreateTime    time.Time `json:"createTime" form:"createTime" gorm:"column:create_time;comment:;type:timestamp;"`
	UpdateTime    time.Time `json:"updateTime" form:"updateTime" gorm:"column:update_time;comment:;type:timestamp;"`
	Delflag       int       `json:"delflag" form:"delflag" gorm:"column:delflag;comment:;type:int;size:10;"`
	UserCharacter int       `json:"userCharacter" form:"userCharacter" gorm:"column:user_character;comment:;type:int;size:10;"`
}

type VipConf struct {
	Id         int       `json:"id" form:"id" gorm:"column:id;comment:;type:int;size:10;"` // 主键ID
	Title      string    `json:"title" form:"title" gorm:"column:title;comment:;type:varchar(255);"`
	Content    string    `json:"content" form:"content" gorm:"column:content;comment:;type:varchar(255);"`
	VipLevel   int       `json:"vipLevel" form:"vipLevel" gorm:"column:vip_level;comment:;type:int;size:10;"`
	VipMoney   int       `json:"vipMoney" form:"vipMoney" gorm:"column:vip_money;comment:;type:int;size:10;"`
	VipDay     int       `json:"vipDay" form:"vipDay" gorm:"column:vip_day;comment:;type:int;size:10;"`
	VipType    int       `json:"vipType" form:"vipType" gorm:"column:vip_type;comment:;type:int;size:10;"`
	IsShow     int       `json:"isShow" form:"isShow" gorm:"column:is_show;comment:;type:int;size:10;"`
	Remark     string    `json:"remark" form:"remark" gorm:"column:remark;comment:;type:varchar(255);"`
	CreateTime time.Time `json:"createTime" form:"createTime" gorm:"column:create_time;comment:;type:timestamp;"`
	UpdateTime time.Time `json:"updateTime" form:"updateTime" gorm:"column:update_time;comment:;type:timestamp;"`
	Delflag    int       `json:"delflag" form:"delflag" gorm:"column:delflag;comment:;type:int;size:10;"`
	Sort       int       `json:"sort" form:"sort" gorm:"column:sort;comment:;type:int;size:10;"`
}
