package models

// GenerateAuthorizationToken 生成token
type GenerateAuthorizationToken struct {
	AuthorizedTime int64  `json:"authorized_time"` // 授权时间
	Phone          string `json:"phone"`           // 手机号
}

// WxDoctorModule 微信小程序 模块模型
type WxDoctorModule struct {
	ID          int64  `json:"id" description:"模块ID"`
	Name        string `json:"name" description:"模块名称"`
	OperateType int    `json:"operate_type" description:"操作类型 0:无权限 1：有权限"`
	Icon        string `json:"icon" description:"icon"`
}
