package models

// PhoneLogin 手机号登录时、需要用的model
type PhoneLogin struct {
	Phone  string `json:"phone" description:"手机号"`
	Code   string `json:"code" description:"验证码"`
	OpenID string `json:"open_id" description:"用户open_id"`
}

// LoginResponse 微信登录model
type LoginResponse struct {
	Code   int64  `json:"code" description:"登录状态 0 成功, 1 没有此微信用户"`
	Token  string `json:"token" description:"登录标识, code 为0的时候此字段才会有值"`
	OpenID string `json:"open_id" description:"用户open_id"`
}
