package utils

type WxLoginReq struct {
	LoginType     string `json:"login_type"`     //Phone：手机登录 WeChat：微信登录
	EncryptedDate string `json:"encrypted_date"` //小程序通过 api 得到的加密数据
	Iv            string `json:"iv"`             //小程序通过 api 得到的初始向量
	WxCode        string `json:"wx_code"`        //微信code
	Code          string `json:"code"`           //验证码
	Phone         string `json:"phone"`          //手机号
}

type WxLoginReply struct {
	OpenID     string `json:"openid"`
	SessionKey string `json:"session_key"`
	// 用户在开放平台的唯一标识符 只在关注公众号的前提下
	UnionID string `json:"unionid"`
	Mobile  string `json:"mobile"`
}
